Bug 604718 - GWT UI status tray contains "messages" menu
Summary: GWT UI status tray contains "messages" menu
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI   
(Show other bugs)
Version: 1.4
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
: ---
Assignee: RHQ Project Maintainer
QA Contact: Sunil Kondkar
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon24-provisioning
TreeView+ depends on / blocked
 
Reported: 2010-06-16 15:09 UTC by Corey Welton
Modified: 2010-08-12 16:49 UTC (History)
3 users (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:49:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Corey Welton 2010-06-16 15:09:49 UTC
Description of problem:

Provisioning work contains a messages menu.  As this falls outside the scope of bundling and search, it will have to be tested or removed.  Entering the bug for dev/qa investigation.


Steps to repro:
1. Set up some alerts guaranteed to fire on your system (i.e., system load > 0%)
2. Navigate to Administration > Content > Bundles
3. Observe messages dropdown; click it.

Current results:
A bunch of messages stuff

Expected results:
Nothing GWT-related for messages, currently.


Other notes:

Actually I can see this being somewhat useful for the provisioning work -- error messages while doing bundling (i.e., bundling creation) are easy to find here, rather than in main window.  I don't have that much a problem with this existing.

Comment 1 John Mazzitelli 2010-06-23 21:15:52 UTC
the "message center" area is used for collecting messages from parts of the GWT UI, including the bundle stuff. it should be working in the latest code

Comment 2 Rajan Timaniya 2010-06-29 12:54:34 UTC
Verified on JON 2.4 GA_QA (tag-jon-release build #43)
http://hudson-qe.rhq.rdu.redhat.com:8080/view/JON/job/tag-jon-release/43/

Steps:
1) Set up alert guaranteed to fire on system (i.e., system load > 0%)
2) Navigate to Administration > Content > Bundles
3) Observe messages dropdown; click it.

There is 'Message Center' area to collect messages and link for recent alerts.

Comment 3 Corey Welton 2010-06-29 14:33:52 UTC
Reopening.  This is an item that is /not/ supposed to be there per current specs.   Returning to dev.

Comment 4 Corey Welton 2010-07-06 16:01:21 UTC
Per triage, this is integral to the feature, so test cases will need to be created.

Comment 5 Sunil Kondkar 2010-07-09 10:37:50 UTC
Added below test cases for messages menu to provisioning test plan:

https://tcms.engineering.redhat.com/case/52644/?from_plan=1885
https://tcms.engineering.redhat.com/case/52859/?from_plan=1885
https://tcms.engineering.redhat.com/case/52860/?from_plan=1885
https://tcms.engineering.redhat.com/case/52572/?from_plan=1885

Verified on latest jon 2.4.0.GA_QA build#53
Messages dropdown displays success/failure and warning messages.

Comment 6 Corey Welton 2010-08-12 16:49:33 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.